Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.syntax
[Java] Class ReadException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException
                  org.codehaus.groovy.syntax.ReadException

    public class ReadException
    extends GroovyException

Encapsulates non-specific i/o exceptions.

Constructor Summary
`ReadException(java.io.IOException cause)`
`ReadException(java.lang.String message, java.io.IOException cause)`

Method Summary
`java.io.IOException` | `getIOCause()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `toString()`

Methods inherited from class GroovyException
isFatal, setFatal

Methods inherited from class java.lang.Exception
java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#getSuppressed(), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Constructor Detail

### ReadException

    public ReadException(java.io.IOException cause)

### ReadException

    public ReadException(java.lang.String message, java.io.IOException cause)

Method Detail

### getIOCause

    public java.io.IOException getIOCause()

### getMessage

    public java.lang.String getMessage()

### toString

    public java.lang.String toString()

Groovy Documentation